/*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Name : SortByThetaAscending
Type : long
Written on   : 14-Dec-90     By : A. Etemadi
Modified on  :               By : 
Directory    : ~atae/ORT/ORT/LPEG/src/ListRoutines

==============================================================================

Input parameters    : 

Output parameters   : 

Output result       : 

  TRUE 		-- Values used by Liste library for sorting
  FALSE

Calling procedure:

#include "FEX.h"
#include "LPEG.h"
#include "ListeMacros.h"
#include "Liste.h"

Liste ORTLineListID;

	SortList ( ORTLineListID ,SortByThetaAscending);

Functionality: 
 After creating a list of ORT lines using the Liste library we use this
 dummy routine to sort the lines in the list in ascending order of Theta.

----------------------------------------------------------------------------*/

#include "FEX.h"
#include "LPEG.h"
#include "ListeMacros.h"
#include "Liste.h"

long  SortByThetaAscending (a, b)

  long *a, *b;	/* Dummy variables */

{
  struct ORTLine *element1;
  struct ORTLine *element2;

/*
 First we must cast the dummy variables into ORTLine structures

*/

  	element1 = MACCast(ORTLine, *a);
  	element2 = MACCast(ORTLine, *b);

/*
 First we must cast the dummy variables into ORTLine structures

*/

  if (element1->Theta > element2->Theta) {
	return(TRUE);
  } else {
  	return(FALSE);
  }
}
